package com.ibeetl.admin.core.annotation;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 用来标准一个查询类
 * @author lijiazhi
 *
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface Query {
	
	int TYPE_GENERAL = 1;
	int TYPE_DATE_BETWEEN = 2;
	int TYPE_DATE_MONTH_BETWEEN = 8;
	int TYPE_DATETIME_BETWEEN = 3;
	int TYPE_VALUE_BETWEEN = 4;
	int TYPE_DICT = 5;
	//用户自己定义
    int TYPE_CONTROL = 6;
	
	int  TYPE_DATE = 7;
	
	/**
	 * 中文名字
	 * @return
	 */
    String name();
	/**
	 * 查询类型,常规，范围，字典，前端自定义
	 * @return
	 */
    int type() default TYPE_GENERAL;
	
	/**
	 * 是否显示在查询界面上
	 * @return
	 */
    boolean display() default false;
	
	/**
	 * 模糊查询，仅仅针对TYPE_GENERAL
	 * @return
	 */
    boolean fuzzy() default false;
	
	/**
	 * 字典的主键，比如,"user_state"
	 * @return
	 */
    String dict() default "";
	
	/*描述*/
    String comment() default "";
	
	/**
	 * 控件名字，如组织机构面板
	 * @return
	 */
    String control() default "";
	
	/**
	 * 顺序，值越小，排在前面
	 * @return
	 */
    int order() default 0;
	
	/*控件组*/
    String group() default "";
}
